<?php

namespace app\lumaapi\model;

use think\Db;
use think\Model;

class MemberModel extends Model
{
    public static function getUserByUserid($uid){
        $res = Db::name('member')->where(['id'=>$uid])->find();
        return $res;
    }

    public static function innerData($user_id,$nickname,$password,$account,$mobile,$email,$face){
        $data['user_id']=$user_id;
        $data['nickname']=$nickname;
        $data['password']=$password;
        $data['user']=$account;
        $data['mobile']=$mobile;
        $data['email']=$email;
        $data['img']=$face;
        $data['hide']=1;
        $data['create_time']=time();
        $data['create_ip']=_ip();
        return Db::name('member')->insertGetId($data);
    }

}